Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452665 - Live USB doesn't resume from suspend properly
Summary: Live USB doesn't resume from suspend properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 12:49 UTC by Paul Mogren
Modified: 2013-01-10 04:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:51:32 UTC


Attachments (Terms of Use)

Description Paul Mogren 2008-06-24 12:49:53 UTC
Description of problem:
When resuming from suspend-to-ram mode, the USB stick which holds the live OS
does not receive the same kernel name, e.g. it was /dev/sdb before suspend and
/dev/sdc after resume. The running system is then mostly broken.

Version-Release number of selected component (if applicable):
Official Fedora 9 x86 LiveCD dumped to USB from Windows with
liveusb-creator-2.5, with persistent overlay.

How reproducible:
Seemingly every time

Steps to Reproduce:
1. Boot Fedora 9 from LiveUSB.
2. Choose System -> Shutdown -> Suspend from the GNOME menu.
3. Resume from suspend.
4. Try to launch an application that has not been already loaded into memory,
such as Applications -> System Tools -> Terminal
5. Choose System -> Shutdown -> Shutdown from the GNOME menu.

Actual results:
The application will not launch and the system will not shut down properly.

Expected results:
The application would launch and the system would shut down properly.

Additional info:
There are LiveUSB distros that do not suffer from this, such as openSUSE

Comment 1 Paul Mogren 2008-06-24 12:56:30 UTC
I did not remove the USB stick from the port, or make any other hardware
changes, while suspended. I believe with openSUSE and others, it is possible to
remove the stick while suspended and re-insert it into the same port before
resume, and it will still work.

Comment 2 Paul Mogren 2008-07-04 13:37:38 UTC
I assume the redhat kernel maintainers are aware of this, but for others who may
be interested, see Documentation/usb/persist.txt in the kernel docs.

It appears this is a matter of setting CONFIG_USB_PERSIST and then enabling the
feature for the Live USB device with 

echo 1 >/sys/bus/usb/devices/.../power/persist


Comment 3 Bug Zapper 2009-06-10 01:45:23 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:51:32 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.